# Generated by rust2rpm 26
%bcond_without check

# prevent library files from being installed
%global cargo_install_lib 0

Name:           juliaup
Version:        1.17.4
Release:        %autorelease
Summary:        Julia installer and version multiplexer

SourceLicense:  MIT
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR ISC OR MIT
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-3-Clause
# ISC
# ISC AND MIT AND OpenSSL
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# MIT-0 OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        MIT AND Apache-2.0 AND BSD-3-Clause AND ISC AND MPL-2.0 AND OpenSSL AND Unicode-DFS-2016 AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR ISC OR MIT) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT-0 OR Apache-2.0) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

URL:            https://github.com/julialang/juliaup
Source:         %{url}/archive/v%{version}/juliaup-%{version}.tar.gz
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          juliaup-fix-metadata-auto.diff

# the julia project only provides binaries for x86 and aarch64
ExclusiveArch:  x86_64 aarch64

BuildRequires:  cargo-rpm-macros >= 26

# both juliaup and julia provide /usr/bin/julia
Conflicts:      julia

%global _description %{expand:
Julia installer and version multiplexer.}

%description %{_description}

%prep
%autosetup -n juliaup-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f binjuliainstaller,binjulialauncher

%build
%cargo_build -f binjuliainstaller,binjulialauncher
%{cargo_license_summary -f binjuliainstaller,binjulialauncher}
%{cargo_license -f binjuliainstaller,binjulialauncher} > LICENSE.dependencies

%install
%cargo_install -f binjuliainstaller,binjulialauncher

%if %{with check}
%check
# * skip tests that require internet access
%cargo_test -f binjuliainstaller,binjulialauncher -- -- --exact --skip channel_selection --skip command_add --skip command_default --skip command_remove --skip command_update --skip command_initial_setup --skip command_override_arg_test --skip command_override_arg_test --skip command_override_cur_dir_test --skip command_override_delete_empty_test --skip command_override_overlap_test --skip command_override_status_test
%endif

%files
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/julia
%{_bindir}/juliainstaller
%{_bindir}/julialauncher
%{_bindir}/juliaup

%changelog
%autochangelog
